Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.irplugin.wsclient
Class RepositorySoapBindingStub

    java.lang.Object
      org.apache.axis.client.Stub
          com.jaspersoft.jasperserver.irplugin.wsclient.RepositorySoapBindingStub

All Implemented Interfaces:
  ManagementService, java.rmi.Remote, javax.xml.rpc.Stub

    public class RepositorySoapBindingStub

extends org.apache.axis.client.Stub
implements ManagementService

Field Summary

Fields inherited from class org.apache.axis.client.Stub
`_call, cachedEndpoint, cachedPassword, cachedPortName, cachedProperties, cachedTimeout, cachedUsername, maintainSession, maintainSessionSet, service`

Fields inherited from interface javax.xml.rpc.Stub
`ENDPOINT_ADDRESS_PROPERTY, PASSWORD_PROPERTY, SESSION_MAINTAIN_PROPERTY, USERNAME_PROPERTY`

Constructor Summary
`RepositorySoapBindingStub()`
`RepositorySoapBindingStub(javax.xml.rpc.Service service)`
`RepositorySoapBindingStub(java.net.URL endpointURL, javax.xml.rpc.Service service)`

Method Summary
`protected org.apache.axis.client.Call` | `createCall()`
`java.lang.String` | `delete(java.lang.String requestXmlString)`
`java.lang.String` | `get(java.lang.String requestXmlString)`
`java.lang.String` | `list(java.lang.String requestXmlString)`
`java.lang.String` | `put(java.lang.String requestXmlString)`
`java.lang.String` | `runReport(java.lang.String requestXmlString)`

Methods inherited from class org.apache.axis.client.Stub
`_createCall, _getCall, _getProperty, _getPropertyNames, _getService, _setProperty, addAttachment, clearAttachments, clearHeaders, extractAttachments, firstCall, getAttachments, getHeader, getHeaders, getPassword, getPortName, getResponseHeader, getResponseHeaders, getResponseHeaders, getTimeout, getUsername, removeProperty, setAttachments, setHeader, setHeader, setMaintainSession, setPassword, setPortName, setPortName, setRequestHeaders, setTimeout, setUsername`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositorySoapBindingStub

    public RepositorySoapBindingStub()
                              throws org.apache.axis.AxisFault

Throws:
  `org.apache.axis.AxisFault`

### RepositorySoapBindingStub

    public RepositorySoapBindingStub(java.net.URL endpointURL,
                                     javax.xml.rpc.Service service)
                              throws org.apache.axis.AxisFault

Throws:
  `org.apache.axis.AxisFault`

### RepositorySoapBindingStub

    public RepositorySoapBindingStub(javax.xml.rpc.Service service)
                              throws org.apache.axis.AxisFault

Throws:
  `org.apache.axis.AxisFault`

Method Detail

### createCall

    protected org.apache.axis.client.Call createCall()
                                              throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### runReport

    public java.lang.String runReport(java.lang.String requestXmlString)
                               throws java.rmi.RemoteException

  Specified by:
    `runReport` in interface `ManagementService`
  Throws:
    `java.rmi.RemoteException`

### put

    public java.lang.String put(java.lang.String requestXmlString)
                         throws java.rmi.RemoteException

  Specified by:
    `put` in interface `ManagementService`
  Throws:
    `java.rmi.RemoteException`

### get

    public java.lang.String get(java.lang.String requestXmlString)
                         throws java.rmi.RemoteException

  Specified by:
    `get` in interface `ManagementService`
  Throws:
    `java.rmi.RemoteException`

### list

    public java.lang.String list(java.lang.String requestXmlString)
                          throws java.rmi.RemoteException

  Specified by:
    `list` in interface `ManagementService`
  Throws:
    `java.rmi.RemoteException`

### delete

    public java.lang.String delete(java.lang.String requestXmlString)
                            throws java.rmi.RemoteException

  Specified by:
    `delete` in interface `ManagementService`
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.